package cn.com.qmth.stmms.common.enums;

public enum PrivilegeType {

    MENU("菜单"),
    PAGE("页面"),
    BUTTON("按钮"),

    ;
    private String name;

    PrivilegeType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    

	public static PrivilegeType getByName(String name) {
        for (PrivilegeType r : PrivilegeType.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }
}
